Bug 1344101 - Review Request: rubygem-sinatra-cross_origin - Cross Origin Resource Sharing helper for Sinatra
Summary: Review Request: rubygem-sinatra-cross_origin - Cross Origin Resource Sharing ...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jun Aruga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1301419
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-08 18:40 UTC by František Dvořák
Modified: 2016-08-11 23:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-11 23:22:54 UTC
jaruga: fedora-review+


Attachments (Terms of Use)

Comment 1 Jun Aruga 2016-08-02 08:51:18 UTC
I will review this!

Comment 2 Jun Aruga 2016-08-02 08:58:30 UTC
I failed to build.

I think the reason is the dependency package sinatra failed to build.
sinatra has broken dependency for the rack.

We need to wait below fix.
Just I uploaded the patch to fix it there.
https://bugzilla.redhat.com/show_bug.cgi?id=1301419


# Detail

## Fedora Review Command

$ fedora-review -b 1344101
INFO: Processing bugzilla bug: 1344101
INFO: Getting .spec and .srpm Urls from : 1344101
INFO:   --> SRPM url: http://scientific.zcu.cz/fedora/rubygem-sinatra-cross_origin-0.3.2-1/rubygem-sinatra-cross_origin-0.3.2-1.fc25.src.rpm
INFO:   --> Spec url: http://scientific.zcu.cz/fedora/rubygem-sinatra-cross_origin-0.3.2-1/rubygem-sinatra-cross_origin.spec
INFO: Using review directory: /home/jaruga/git/fedora-packages/review/1344101-rubygem-sinatra-cross_origin
INFO: Downloading .spec and .srpm files
INFO: Downloading (Source0): https://rubygems.org/gems/sinatra-cross_origin-0.3.2.gem
INFO: Running checks and generating report
ERROR: Exception(/home/jaruga/git/fedora-packages/review/1344101-rubygem-sinatra-cross_origin/srpm/rubygem-sinatra-cross_origin-0.3.2-1.fc25.src.rpm) Config(fedora-rawhide-x86_64) 0 minutes 2 seconds
INFO: Results and/or logs in: /home/jaruga/git/fedora-packages/review/1344101-rubygem-sinatra-cross_origin/results
ERROR: Command failed: 
ERROR: 'mock build failed, see /home/jaruga/git/fedora-packages/review/1344101-rubygem-sinatra-cross_origin/results/build.log'


## build.log

ERROR: Command failed:-
 # /usr/bin/dnf builddep --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 25 /var/lib/mock/fedora-rawhide-x86_64/root//builddir/build/SRPMS/rubygem-sinatra-cross_origin-0.3.2-1.fc25.src.rpm --setopt=tsflags=nocontexts
Package rubygem-rack-test-0.6.3-3.fc24.noarch is already installed, skipping.
Error: nothing provides rubygem(rack) < 2 needed by rubygem-sinatra-1:1.4.6-3.fc24.noarch
(try to add '--allowerasing' to command line to replace conflicting packages)

Comment 3 Jun Aruga 2016-08-08 15:22:02 UTC
Hi, František Dvořák

You should build again, after rubygem-sinatra has been updated.
However first of all, could you tell me which version of gem2rpm are you using?

Comment 4 Jun Aruga 2016-08-09 12:32:20 UTC
Still fixed version rubygem-sinatra 1.4.7 is not updated to rawhide, though it is committed to master branch. So, I would wait this review until it is updated on rawhide.

```
dnf repoquery --disablerepo=* --enablerepo=rawhide rubygem-sinatra
rubygem-sinatra-1:1.4.6-3.fc24.noarch
```

Comment 5 Vít Ondruch 2016-08-09 12:46:43 UTC
(In reply to Jun Aruga from comment #4)
> Still fixed version rubygem-sinatra 1.4.7 is not updated to rawhide

It is actually in Rawhide, available on builders:

```
$ koji wait-repo f26-build --build rubygem-sinatra-1.4.7-1.fc26
Successfully waited 0:02 for rubygem-sinatra-1.4.7-1.fc26 to appear in the f26-build repo
```

It seems that just the compose is failing for some reasons, hence the official repositories are not update. Not a showstopper for anything.

Comment 6 Jun Aruga 2016-08-10 14:28:45 UTC
Hi, František Dvořák

I reviewed it. I want to ask you below points.

# Summary

## 1.

> %if 0%{?rhel} && 0%{?rhel} <= 7
> Requires:       ruby(rubygems)
> Provides:       rubygem(%{gem_name}) = %{version}
> %endif

Do you want to use this pacakge for rhel too now?
Actually I am not confident that this 2 lines are correct for condition rhel <= 7. I can agree with your style if you are confident for the 2 lines.

## 2.

> %files
> ... 
> %exclude %{gem_instdir}/%{gem_name}.gemspec
> %exclude %{gem_instdir}/Rakefile
> %exclude %{gem_instdir}/VERSION

In my style, I prefer those is included to %files doc section (doc-rpm).

My style is
- *. gem_cache was excluded.
- minimam files to run are included to %files.
- Other text files are included to %files doc.
because I like kind of same style with output of gem2rpm.

However I can agree with you style too, as it is gray area.

I want to respect your idea as much as possible if we have different style and it is not violation for the Guideline.


## 3.

> [?]: Package should compile and build into binary rpms on all supported
>      architectures.

Could you show me URL of Koji scratch build?



# Detail fedora-reivew

I will show you the result of fedora-review too, just in case.
(I have waited until this package would be composed to rawhide to run fedora-review .)

$ fedora-review -b 1344101

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 6 files have
     unknown license. Detailed output of licensecheck in /home/jaruga/git
     /fedora-packages/review/1344101-rubygem-sinatra-
     cross_origin/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gems,
     /usr/share/gems/doc
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rubygem-
     sinatra-cross_origin-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: When checking ruby code, install the ruby plugin.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-sinatra-cross_origin-0.3.2-1.fc26.noarch.rpm
          rubygem-sinatra-cross_origin-doc-0.3.2-1.fc26.noarch.rpm
          rubygem-sinatra-cross_origin-0.3.2-1.fc26.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
rubygem-sinatra-cross_origin-doc.noarch: W: invalid-url URL: http://github.com/britg/sinatra-cross_origin <urlopen error [Errno -2] Name or service not known>
rubygem-sinatra-cross_origin.noarch: W: invalid-url URL: http://github.com/britg/sinatra-cross_origin <urlopen error [Errno -2] Name or service not known>
2 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
rubygem-sinatra-cross_origin-doc (rpmlib, GLIBC filtered):
    rubygem-sinatra-cross_origin

rubygem-sinatra-cross_origin (rpmlib, GLIBC filtered):
    ruby(rubygems)



Provides
--------
rubygem-sinatra-cross_origin-doc:
    rubygem-sinatra-cross_origin-doc

rubygem-sinatra-cross_origin:
    rubygem(sinatra-cross_origin)
    rubygem-sinatra-cross_origin



Source checksums
----------------
https://rubygems.org/gems/sinatra-cross_origin-0.3.2.gem :
  CHECKSUM(SHA256) this package     : 3eb1a9429ca9a58351d47bfd90236745f98203ee1572696d41de214a33a3c3bf
  CHECKSUM(SHA256) upstream package : 3eb1a9429ca9a58351d47bfd90236745f98203ee1572696d41de214a33a3c3bf


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1344101
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 7 František Dvořák 2016-08-10 15:19:03 UTC
(In reply to Jun Aruga from comment #6)
> Hi, František Dvořák
> 
> I reviewed it. I want to ask you below points.
> 
> # Summary
> 
> ## 1.
> 
> > %if 0%{?rhel} && 0%{?rhel} <= 7
> > Requires:       ruby(rubygems)
> > Provides:       rubygem(%{gem_name}) = %{version}
> > %endif
> 
> Do you want to use this pacakge for rhel too now?
> Actually I am not confident that this 2 lines are correct for condition rhel
> <= 7. I can agree with your style if you are confident for the 2 lines.
> 

It is true these lines could be removed.

These lines were always needed for EPEL7 (and for F20, which is not needed to check anymore), but it it true I'm not going to package it for EPEL7 right now. I'm interested in EPEL7, but I must explore the sinatra package first, which is not in EPEL7.

> ## 2.
> 
> > %files
> > ... 
> > %exclude %{gem_instdir}/%{gem_name}.gemspec
> > %exclude %{gem_instdir}/Rakefile
> > %exclude %{gem_instdir}/VERSION
> 
> In my style, I prefer those is included to %files doc section (doc-rpm).
> 
> My style is
> - *. gem_cache was excluded.
> - minimam files to run are included to %files.
> - Other text files are included to %files doc.
> because I like kind of same style with output of gem2rpm.
> 
> However I can agree with you style too, as it is gray area.
> 
> I want to respect your idea as much as possible if we have different style
> and it is not violation for the Guideline.
> 

Thanks. I don't have strong preferences here and to be close to gem2rpm means to be more consistent with other packages. Updated.

> 
> ## 3.
> 
> > [?]: Package should compile and build into binary rpms on all supported
> >      architectures.
> 
> Could you show me URL of Koji scratch build?
> 

The new koji URL: http://koji.fedoraproject.org/koji/taskinfo?taskID=15203098


Updated version:

Spec URL: http://scientific.zcu.cz/fedora/rubygem-sinatra-cross_origin-0.3.2-2/rubygem-sinatra-cross_origin.spec
SRPM URL: http://scientific.zcu.cz/fedora/rubygem-sinatra-cross_origin-0.3.2-2/rubygem-sinatra-cross_origin-0.3.2-2.fc26.src.rpm

%changelog
* Wed Aug 10 2016 František Dvořák <valtri@civ.zcu.cz> - 0.3.2-2
- Update files section

Comment 8 Jun Aruga 2016-08-10 16:17:10 UTC
František Dvořák
Thanks, I checked the Koji and your updated spec file.
I APPROVED it.

Comment 9 Jun Aruga 2016-08-10 16:45:54 UTC
> koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=14425449

Sorry I missed your first Koji build line. I got it. Thanks.

Comment 10 Gwyn Ciesla 2016-08-10 16:58:02 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/rubygem-sinatra-cross_origin

Comment 11 František Dvořák 2016-08-11 23:22:54 UTC
Thank you very much! The package is in rawhide now.


Note You need to log in before you can comment on or make changes to this bug.